module ModTest6 interface;

export
  ModTestA = (i, j, DoTest);
  ModTestB = (j);

var
  i,j: integer;


procedure DoTest;


end.


module ModTest6 implementation;


procedure DoTest;
begin
  i := -9;
end;



end.


program Test(output);

import
  ModTestB;


begin
  DoTest;  (* WRONG *)
  j := 6;
  writeln('failed');
end.
